[prev in list] [next in list] [prev in thread] [next in thread] 

List:       ipcop-svn
Subject:    [Ipcop-svn] SF.net SVN: ipcop: [1530] ipcop/trunk
From:       owes () users ! sourceforge ! net
Date:       2008-06-22 16:32:03
Message-ID: E1KASTz-00080A-QC () sc8-pr-svn4 ! sourceforge ! net
[Download RAW message or body]

Revision: 1530
          http://ipcop.svn.sourceforge.net/ipcop/?rev=1530&view=rev
Author:   owes
Date:     2008-06-22 09:32:02 -0700 (Sun, 22 Jun 2008)

Log Message:
-----------
Default already is to use udev, add rc.pcmcia.
Probably only necessary in rare cases but useful as described here: 
http://kernel.org/pub/linux/utils/kernel/pcmcia/cardmgr-to-pcmciautils.html

Modified Paths:
--------------
    ipcop/trunk/config/rootfiles/common/pcmciautils
    ipcop/trunk/lfs/pcmciautils

Added Paths:
-----------
    ipcop/trunk/config/rc.d/rc.pcmcia

Added: ipcop/trunk/config/rc.d/rc.pcmcia
===================================================================
--- ipcop/trunk/config/rc.d/rc.pcmcia	                        (rev 0)
+++ ipcop/trunk/config/rc.d/rc.pcmcia	2008-06-22 16:32:02 UTC (rev 1530)
@@ -0,0 +1,41 @@
+#!/bin/sh
+#
+# Based on the pcmcia-new init script from pcmciautils-014
+#   as described in cardmgr-to-pcmciautils.txt
+#
+# The original script uses DRIVER and DRIVER_OPTS hard coded,
+#   in our situation it is better to refer to /etc/pcmcia.conf
+#
+#
+# $Id$
+#
+
+if [ -f /etc/pcmcia.conf ]; then
+	. /etc/pcmcia.conf
+else
+	echo "PCMCIA not configured"
+	exit 1
+fi
+
+# DRIVER should now be set to one of:
+# yenta_socket, i82365, i82092, pd6729, tcic, etc.
+
+
+case "$1" in
+	start)
+		/sbin/modprobe $DRIVER $DRIVER_OPTS > /dev/null 2>&1
+		/sbin/modprobe pcmcia > /dev/null 2>&1 # just in case it's not auto-loaded
+		;;
+
+	stop)
+		/sbin/pccardctl eject
+		MODULES=`lsmod | grep "pcmcia " | awk '{print $4}' | tr , ' '`
+		for i in $MODULES ; do
+			/sbin/rmmod $i > /dev/null 2>&1
+		done
+		/sbin/rmmod pcmcia > /dev/null 2>&1
+		/sbin/rmmod $DRIVER > /dev/null 2>&1
+		/sbin/rmmod rsrc_nonstatic > /dev/null 2>&1
+		/sbin/rmmod pcmcia_core > /dev/null 2>&1
+		;;
+esac


Property changes on: ipcop/trunk/config/rc.d/rc.pcmcia
___________________________________________________________________
Name: svn:keywords
   + Id

Modified: ipcop/trunk/config/rootfiles/common/pcmciautils
===================================================================
--- ipcop/trunk/config/rootfiles/common/pcmciautils	2008-06-21 08:18:14 UTC (rev \
                1529)
+++ ipcop/trunk/config/rootfiles/common/pcmciautils	2008-06-22 16:32:02 UTC (rev \
1530) @@ -1,4 +1,4 @@
-## pcmciautils-013
+## pcmciautils-014
 ##
 etc/pcmcia
 #etc/pcmcia/config.opts
@@ -7,4 +7,5 @@
 sbin/pccardctl
 sbin/pcmcia-check-broken-cis
 sbin/pcmcia-socket-startup
+#usr/share/man/man8/lspcmcia.8
 #usr/share/man/man8/pccardctl.8

Modified: ipcop/trunk/lfs/pcmciautils
===================================================================
--- ipcop/trunk/lfs/pcmciautils	2008-06-21 08:18:14 UTC (rev 1529)
+++ ipcop/trunk/lfs/pcmciautils	2008-06-22 16:32:02 UTC (rev 1530)
@@ -82,7 +82,6 @@
 	@$(PREBUILD)
 	@rm -rf $(DIR_APP) && cd $(DIR_SRC) && tar jxf $(DIR_DL)/$(DL_FILE)
 
-	cd $(DIR_APP) && sed -i -e 's/UDEV\ =\ false/UDEV\ =\ true/g' Makefile
 	cd $(DIR_APP) && make
 	cd $(DIR_APP) && make SYMLINK="/bin/ln -sf" install
 


This was sent by the SourceForge.net collaborative development platform, the world's \
largest Open Source development site.

-------------------------------------------------------------------------
Check out the new SourceForge.net Marketplace.
It's the best place to buy or sell services for
just about anything Open Source.
http://sourceforge.net/services/buy/index.php
_______________________________________________
Ipcop-svn mailing list
Ipcop-svn@lists.sourceforge.net
https://lists.sourceforge.net/lists/listinfo/ipcop-svn


[prev in list] [next in list] [prev in thread] [next in thread] 

Configure | About | News | Add a list | Sponsored by KoreLogic